/*
 * @(#)ImagePanel.java  2002-12-12
 *
 * Version 1.04
 *
 * Copyright (C) 26 juillet 2002 hughes monget
 * hmonget@users.sourceforge.net
 * http://jpassgen.sourceforge.net/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jpassgen;

import java.awt.Image;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
//import java.awt.MediaTracker;

import javax.swing.JPanel;

/**
 * This class is a panel with a repeated and colorized background image.
 * The color should be transparent to see the image.
 *
 * @author hughes monget 
 */
class ImagePanel extends JPanel {

    /**
     * The background image.
     */ 
    private Image _bgimage;

    /**
     * The color to fill (on the background image)
     * (not filled if null)
     */ 
    private Color _color;

    /**
     * Constructor.
     * @param bgimage the image
     * @param color the color to fill
     * 
     */
    ImagePanel(Image bgimage, Color color) {

        _bgimage = bgimage;
        _color   = color;
        /*
        try {
            MediaTracker mt = new MediaTracker(this);
            mt.addImage(_bgimage, 0);
            mt.waitForID(0);
        } catch (Exception e) { ; }
        */
    }

    /**
     * We "paint" the component.
     * @param graphic the graphic
     */ 
    public void paintComponent(Graphics graphic) {

        super.paintComponent(graphic);

        Dimension dim = getSize();

        for (int x = 0; x < dim.width; x += _bgimage.getWidth(this)) {
            for (int y = 0; y < dim.height; y += _bgimage.getHeight(this)) {
                if (_bgimage != null) {
                    graphic.drawImage(_bgimage, x, y, this);
                }
            }
        }
        if (_color != null) {
            graphic.setColor(_color);
            graphic.fillRect(0, 0, dim.width, dim.height);
        }
    }
}
// End of ImagePanel.java
