/*
 * @(#)JPassGenApplet.java  2002-08-12
 *
 * Version 1.04
 *
 * Copyright (C) 26 juillet 2002 hughes monget
 * hmonget@users.sourceforge.net
 * http://jpassgen.sourceforge.net/
 *
 * This program is free software; you can rediargibute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jpassgen;

// Parce que c'est un applet.
import java.applet.Applet;

// Pour ragir aux vnements.
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.BorderLayout;

import java.net.URL;
import javax.swing.ImageIcon;

// Pour le bouton.
import javax.swing.JButton;
import javax.swing.SwingUtilities;

/** Cette classe est la version "applet de JPassGen".
 *
 * @author hughes monget 
 */
public class JPassGenApplet extends Applet implements ActionListener {

    /** On initialise l'interface.
     */
    public void init() {

        // We set te look and feel.
        JPassGenGUI.setLookAndFeel();
        setLayout(new BorderLayout());
        JButton jb = new JButton(LanguageServer.getString("IDS_BUTTON_APPLET"));
        add(jb, BorderLayout.CENTER);
        jb.addActionListener(this);
        URL urlIcon = getClass().getResource(JPassGenGUI.ICON);
        jb.setIcon(new ImageIcon(urlIcon));
    }

    /** L'applet ragit
     *  (Invoked when an action occurs)
     * @param ae The action semantic event.
     */
    public void actionPerformed(ActionEvent ae) {

        String title = LanguageServer.getString("IDS_TITLE_APP");
        final JPassGenGUI jpg = new JPassGenGUI(title);
        jpg.initializeUi();
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                jpg.setVisible(true);
            }
        });

        jpg.initializeSeed();
    }

} // End of JPassGenApplet.java

