/*
 * @(#)StatusBar.java  2002-12-06
 *
 * Version 1.04
 *
 * Copyright (C) 26 juillet 2002 hughes monget
 * hmonget@users.sourceforge.net
 * http://jpassgen.sourceforge.net/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package net.sourceforge.jpassgen;

import java.awt.BorderLayout;

import javax.swing.border.Border;
import javax.swing.BorderFactory; 

import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * This class is a simple status bar component.
 *
 * @author hughes monget 
 */
class StatusBar extends JPanel {


    /////////////////////
    // INSTANCE FIELDS //
    /////////////////////

    /** 
     * The status label.
     */
     private JLabel _jlabel;


     //////////////////
    // CONSTRUCTORS //
    //////////////////

    /** 
     * Default Constructor. 
     */
    StatusBar() {

        _jlabel = new JLabel(" ");

        Border raisedbevel = BorderFactory.createLoweredBevelBorder();
        _jlabel.setBorder(raisedbevel);

        setLayout(new BorderLayout());
        add(_jlabel, BorderLayout.CENTER);
    }


    //////////////////////
    // INSTANCE METHODS //
    //////////////////////

    /** We set the status.
     * @param s le message to set.
     */
    void setStatus(String s) {

        _jlabel.setText(s);
    }
} 


// End of StatusBar.java
